qgis 2.8.1 – processing gdal 1.11.2	error/processing GRASS error (mac, 10.10.3)

2015-04-26 12:18 PM - Bruce Atkinson

Status: Closed

Priority: Normal

Assignee:

Category: Processing/Core

Affected QGIS version:2.8.1 Regression?: No

Operating System: OsX Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 20760

Description

I'm getting an error when using either GDAL or GRASS in the ToolBox (see GDAL.tiff, GREASS.tiff). The complete logs are in GDAL

log.rtf and GRASS log.rtf. I tried installing QGIS 2.8.1 on another Mac that had a freshly reformatted HD as well as clean install of

Yosemite 10.10.3 and ran into the same problem.

History

#1 - 2015-04-26 01:06 PM - Giovanni Manghi

- Category set to 94

- Status changed from Open to Feedback

Please detail the modules you are trying to run and if possible attach sample of your inputs.

#2 - 2015-04-26 01:23 PM - Bruce Atkinson

- File Lumps_2013.prj added

- File Lumps_2013.qpj added

- File Lumps_2013.shp added

- File Lumps_2013.dbf added

- File Lumps_2013.shx added

The models are shown in the log files, specifically for GDAL Algorithm Grid (Inverse distance to a power) and for GRASS Algorithm v.surf.idw - Surface

interpolation from vector point data by Inverse Distance Squared Weighting. The input is attached.

#3 - 2015-04-26 01:54 PM - Giovanni Manghi

- Operating System set to OsX

I cannot test on OsX as I don't have such platform (or know anyone that could allow me to try), but on Linux and Windows both modules are ok with your

input data.

#4 - 2015-04-26 02:20 PM - Bruce Atkinson

Thanks for testing!!

Perhaps it's a Mac thing. I'm not the only one with a problem, at least for GDAL; see 
There may be more generic issues.

#5 - 2015-04-27 03:48 AM - Bruce Atkinson

- File Displace.tiff added

- File displaced.rtf added

GDAL is working (sort of). The output is displaced from the data as per 'Displace.tiff'. The associated log is 'displaced.rtf'. Note in the log that the corner

coordinates are properly identified (Corner coordinates = (60.758630 57.695719)(-46.899704 42.762614)). The CRS is WG84 in all cases.

Grass is still not working.

#6 - 2015-06-04 07:37 AM - Jürgen Fischer

- Status changed from Feedback to Open

#7 - 2015-06-07 04:05 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core

#8 - 2016-03-09 02:57 AM - Alexander Bruy

- Status changed from Open to Feedback

Still true with 2.14?

#9 - 2016-04-09 12:08 PM - Giovanni Manghi

- Resolution set to not reproducable

closing for lack of feedback. Please reopen if necessary.

#10 - 2016-04-09 02:00 PM - Giovanni Manghi

- Status changed from Feedback to Closed

Files

GDAL_log.rtf 6.25 KB 2015-04-26 Bruce Atkinson

GDAL_log.rtf 6.25 KB 2015-04-26 Bruce Atkinson

GRASS.tiff 96.1 KB 2015-04-26 Bruce Atkinson

GRASS_log.rtf 13 KB 2015-04-26 Bruce Atkinson

Lumps_2013.dbf 1.23 MB 2015-04-26 Bruce Atkinson

Lumps_2013.prj 143 Bytes 2015-04-26 Bruce Atkinson

Lumps_2013.qpj 257 Bytes 2015-04-26 Bruce Atkinson

Lumps_2013.shp 30.9 KB 2015-04-26 Bruce Atkinson

Lumps_2013.shx 8.89 KB 2015-04-26 Bruce Atkinson

Displace.tiff 105 KB 2015-04-27 Bruce Atkinson

displaced.rtf 2.27 KB 2015-04-27 Bruce Atkinson
